@charset "utf-8";

@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+JP:wght@100;300;400;500;700&display=swap');

* {
    margin: 0;
    padding: 0;
}

body {
    font-family: 'Noto Sans JP', sans-serif;
}

.contents-wrapper {
    width: 1100px;
    margin: 0 auto;
    padding-top: 50px;
}

.container {
    display: flex;
}

h1 {
    margin-bottom: 40px;
}

h2 {
    margin-bottom: 30px;
    padding: 4px 0 4px 24px;
    color: #333;
    background: transparent;
    border-left: solid 2px hsl(270deg, 40%, 70%);
}

h3 {
    margin-bottom: 15px;
    display: inline-block;
}

dl {
    margin-bottom: 20px;
}

dt {
    margin-bottom: 8px;
    font-size: 20px;
    font-weight: 700;
}

dd {
    margin-bottom: 8px;
}

dd:last-of-type {
    margin-bottom: 0;
}

.history-year {
    font-weight: 600;
}

.left-contents {
    width: 33%;
    margin-right: 48px;
}

.profile-image {
    width: 100%;
    margin-bottom: 16px;
}

.profile-image img {
    width: 100%;
    border-radius: 8px;
}

li {
    display: block;
    background-color: #f9f9f9;
    padding: 14px 20px;
    border-radius: 8px;
    margin-bottom: 10px;
}

ul {
    list-style: none;
    padding: 0;
    margin-bottom: 30px;
}

a {
    text-decoration: none;
    display: inline-block;
    color: hsl(270deg, 45%, 60%);
}

a:hover {
    opacity: 0.4;
}

.separator {
    color: #999;
}

section {
    margin-bottom: 60px;
}

@media (max-width: 767px) {
    .container {
        flex-direction: column;
        width: 100%;
    }

    .contents-wrapper {
        width: 90%;
        margin: 0 auto;
    }

    .left-contents {
        width: 100%;
        margin-right: 0;
        margin-bottom: 30px;
    }

    .profile-image {
        text-align: center;
    }

    .profile-image img {
        max-width: 250px;
    }

    .right-contents {
        width: 100%;
    }
    
    section {
        width: 100%;  
    }

    ul {
        width: 100%;  
    }
}

#global-nav {
    min-width: 250px;
    height: 100vh;
    padding: 16px 0;
    border-right: 4px solid hsla(270deg, 45%, 60%, 0.5);
    transition: transform 150ms ease-out, opacity 150ms ease-out, border-right 150ms ease-out;
    display: flex;
    flex-direction: column;
    box-shadow: 2px 0 16px rgba(0, 0, 0, 0.1);
    background: rgba(255, 255, 255, 0.95);
    transform: translateX(calc(-100% + 4px));
    position: fixed;
    top: 0;
    left: 0;
    z-index: 100;
}

#global-nav.open {
    transform: translateX(0);
    border-right: 0;
}

#global-nav a {
    color: #333;
    font-size: 14px;
    font-weight: 400;
    padding: 12px 20px;
    border-left: 4px solid transparent;
    display: block;
}

#global-nav a:hover {
    color: hsl(270deg, 45%, 60%);
    border-left-color: hsl(270deg, 45%, 60%);
    opacity: 1;
}

#canvas {
    display: none;
    position: fixed;
    top: 0;
    z-index: 1;
}
